Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.SendingContext.CodeBasePackage
Class URLSeqHelper

    java.lang.Object
      |
      +--org.omg.SendingContext.CodeBasePackage.URLSeqHelper

public class URLSeqHelper
extends java.lang.Object

Helper class for : URLSeq

Author:
  OpenORB Compiler

Constructor Summary
`URLSeqHelper()`

Method Summary
`static java.lang.String[]` | `extract(Any a)` Extract URLSeq from an any
`static java.lang.String` | `id()` Return the URLSeq IDL ID
`static void` | `insert(Any a, java.lang.String[] t)` Insert URLSeq into an any
`static java.lang.String[]` | `read(InputStream istream)` Read URLSeq from a marshalled stream
`static TypeCode` | `type()` Return the URLSeq TypeCode
`static void` | `write(OutputStream ostream, java.lang.String[] value)` Write URLSeq into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URLSeqHelper

    public URLSeqHelper()

Method Detail

### insert

    public static void insert(Any a,
                              java.lang.String[] t)

  Insert URLSeq into an any
  Parameters:
    `a` - an any
    `t` - URLSeq value

### extract

    public static java.lang.String[] extract(Any a)

  Extract URLSeq from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted URLSeq value

### type

    public static TypeCode type()

  Return the URLSeq TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the URLSeq IDL ID
  Returns:
    an ID

### read

    public static java.lang.String[] read(InputStream istream)

  Read URLSeq from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed URLSeq value

### write

    public static void write(OutputStream ostream,
                             java.lang.String[] value)

  Write URLSeq into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - URLSeq value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD